/*
 * AbstractInequality.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.22
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.parser;


public abstract class AbstractInequality extends EquationAction
{
	public abstract boolean isSatisfied();
	
	public double calculate()
	{
		return isSatisfied()?0:-1;
	}

}